Create queue

POST
/v1/queues

Create a queue.

Authorization

ApiKeyAuth settings.queue:w
headerAuthorization<token>

Scope: settings.queue:w

Request Body

The details for creating a queue

application/json
  1. body
request*

Response Body

The created queue

application/json
  1. response
data*
Example Request
curl -X POST 'https://dev.dixa.io/v1/queues' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "request": {    "name": "MyCorp main queue",    "callFunctionality": false,    "isDefault": true,    "queueThresholds": {      "WaitingConversations": 10    },    "offerTimeout": 10,    "offerAlgorithm": "AllAtOnce",    "wrapupTimeout": 10,    "priority": 1,    "offerAbandonedConversations": false,    "doNotOfferTimeouts": {      "WidgetChat": 1    },    "isDoNotOfferEnabled": true,    "preferredAgentTimeouts": {      "WhatsApp": 300,      "Voicemail": 300,      "WidgetChat": 300,      "FacebookMessenger": 300,      "Email": 43200,      "ContactForm": 43200,      "Callback": 300,      "PstnPhone": 300    },    "isPreferredAgentEnabled": false,    "preferredAgentOfflineTimeout": 500,    "personalAgentOfflineTimeout": 500,    "isRestricted": false  }}'
{
"data": {
"id": "string",
"name": "string",
"isDefault": true,
"organizationId": "string",
"queueThresholds": {
"property1": 0,
"property2": 0
},
"slaCalculationMethod": "string",
"offerTimeout": 0,
"offeringAlgorithm": "string",
"memberListType": "string",
"usages": {
"queueId": "string",
"usages": {
"property1": [
"string"
],
"property2": [
"string"
]
}
},
"wrapupTimeout": 0,
"priority": 0,
"offerAbandonedConversations": true,
"doNotOfferTimeouts": {
"property1": 0,
"property2": 0
},
"isDoNotOfferEnabled": true,
"isPreferredAgentEnabled": true,
"preferredAgentTimeouts": {
"property1": 0,
"property2": 0
},
"preferredAgentOfflineTimeout": 0,
"personalAgentOfflineTimeout": 0,
"isRestricted": true
}
}